Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511454 - Inconsistent shell version shown on multiple places
Summary: Inconsistent shell version shown on multiple places
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
Jana Heves
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 12:00 UTC by Martin Krajnak
Modified: 2018-11-13 13:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Inconsistent *GNOME Shell* versions The GNOME desktop environment currently displays different versions of *GNOME Shell*. For example, the version returned by the "gnome-shell --version" command is different from the version found in the `Details` section of `Settings`.
Clone Of:
Environment:
Last Closed: 2018-10-30 10:20:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
settings version (deleted)
2017-11-09 12:00 UTC, Martin Krajnak
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 None None None 2018-10-30 10:21:35 UTC

Description Martin Krajnak 2017-11-09 12:00:45 UTC
Created attachment 1349858 [details]
settings version

Description of problem:
Different version of gnome-shell is shown on multiple places.

Version-Release number of selected component (if applicable):
gnome-shell-3.26.2-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.from terminal execute: gnome-shell --version
2.In gnome-shell find settings and go to Details section

Actual results:
[test@localhost gnome-software]$ rpm -q gnome-shell
gnome-shell-3.26.2-1.el7.x86_64
[test@localhost gnome-software]$ gnome-shell --version
GNOME Shell 3.25.4

Settings: Gnome: Version 3.22.2

Expected results:
Version number should be consistent

Comment 4 Bikal Lem 2018-04-12 08:51:23 UTC
confirmed. I can repro. the bug. I updated to 7.5 yesterday and can see the inconsistency. Additionally, I don't have the option to use wayland session.

Comment 5 Martin Krajnak 2018-04-12 09:22:24 UTC
(In reply to Bikal Lem from comment #4)
> confirmed. I can repro. the bug. I updated to 7.5 yesterday and can see the
> inconsistency. Additionally, I don't have the option to use wayland session.

Thanks for confirmation, regarding the wayland session, can you please confirm that you have gnome-session-wayland-session.x86_64 package installed ?

Comment 13 errata-xmlrpc 2018-10-30 10:20:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.